Bug 154075 - iputils - rdisc startup service reports failures
iputils - rdisc startup service reports failures
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iputils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-06 21:58 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 03:25:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-04-06 21:58:25 EDT
Description of problem:

It looks like that a new startup script showed up which looks, after
some inspection, like something which tries to find LAN routers.
OK, but I have only a simple switch on my LAN and, as documented in
'man rdisc', this is causing exit with a non-zero status and a consistent
[FAILED] in a startup.  Sure, I can turn it off or ignore it but the
service appears to default to "on" and people with less understanding will
just see that something is wrong when a machine starts.  Conditioning
them to ignore failures does not sound like an exciting idea.

It seems that this script should always succeed because not finding
routers on LAN is not really an error (unless they are really there :-)
or the service should default to off.  Those who really have routers will
likely know anyway what to do to turn it on if desired.

Version-Release number of selected component (if applicable):
iputils-20020927-21

How reproducible:
always
Comment 1 Radek Vokal 2005-04-07 03:23:04 EDT
That's my *oups*. This service shouldn't be started as default 'cos it's for
experienced users only :)  I've fixed the init script in the new rawhide version
of iputils. 

Note You need to log in before you can comment on or make changes to this bug.